

/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <stdio.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <postgresql/libpq-fe.h>
#include "callbacks.h"
#include <gnome.h>
#include "message.h"
//#include "message.c"

GtkWidget *entry1_to;
GtkWidget *entry2_to;
GtkWidget *entry3_to;
GtkWidget *entry4_to;
GtkWidget *entry5_to;
GtkWidget *entry6_to;
GtkWidget *entry7_to;
GtkWidget *entry8_to;
GtkWidget *entry9_to;
GtkWidget *check1_to;
GtkWidget *check2_to;
GtkWidget *check3_to;
GtkWidget *check4_to;


void towar(GtkWidget *window1, GtkWidget *fixed1){

  GtkWidget *label1;
  GtkWidget *label3;
  GtkWidget *label2, *label9;
  GtkWidget *label4, *label8;
  extern GtkWidget *entry1_to;
  extern GtkWidget *entry2_to;
  extern  GtkWidget *entry3_to;
  extern  GtkWidget *entry4_to, *entry9_to;
  extern  GtkWidget *entry5_to, *entry8_to;
  GtkWidget *button1;
  GtkWidget *button2;
  GtkWidget *button3;
  GtkWidget *button4;
  GtkWidget *button6;
  GtkWidget *button7;
  GtkWidget *label5;
  GtkWidget *frame1;
  GtkWidget *fixed2;
  GtkWidget *label6;
  extern  GtkWidget *entry6_to;
  GtkWidget *label7, *label11;
  extern  GtkWidget *entry7_to;
  GtkWidget *button5;
  extern GtkWidget *check1_to;
  extern GtkWidget *check2_to;
  extern GtkWidget *check3_to;
  extern GtkWidget *check4_to;
  
  label1 = gtk_label_new("Nazwa towaru:");
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_fixed_put (GTK_FIXED (fixed1), label1, 32, 24);
  gtk_widget_set_uposition (label1, 32, 24);
  gtk_widget_set_usize (label1, 120, 32);

  label3 = gtk_label_new("Jednostka masy:");
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_fixed_put (GTK_FIXED (fixed1), label3, 32, 88);
  gtk_widget_set_uposition (label3, 32, 88);
  gtk_widget_set_usize (label3, 120, 32);

  label2 = gtk_label_new("SWW :");
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_fixed_put (GTK_FIXED (fixed1), label2, 32, 56);
  gtk_widget_set_uposition (label2, 32, 56);
  gtk_widget_set_usize (label2, 120, 32);

  label4 = gtk_label_new("Cena netto :");
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_fixed_put (GTK_FIXED (fixed1), label4, 32, 120);
  gtk_widget_set_uposition (label4, 32, 120);
  gtk_widget_set_usize (label4, 120, 32);
  
  label8 = gtk_label_new("Towar zwolniony z podatku");
  gtk_fixed_put(GTK_FIXED(fixed1), label8, 265, 157);
  gtk_widget_show(label8);

  label9 = gtk_label_new("To jest USUGA, a nie towar!!");
  gtk_fixed_put(GTK_FIXED(fixed1), label9, 265, 127);
  gtk_widget_show(label9);

  label11 = gtk_label_new("Ilo tow. w magazynie: ");
  gtk_fixed_put(GTK_FIXED(fixed1), label11, 3, 194);
  gtk_widget_show(label11);

  entry1_to = gtk_entry_new_with_max_length (38);
  gtk_widget_ref (entry1_to);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry1_to", entry1_to,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry1_to);
  gtk_fixed_put (GTK_FIXED (fixed1), entry1_to, 144, 24);
  gtk_widget_set_uposition (entry1_to, 144, 24);
  gtk_widget_set_usize (entry1_to, 288, 24);

  entry2_to = gtk_entry_new_with_max_length (7);
  gtk_widget_ref (entry2_to);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry2_to", entry2_to,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry2_to);
  gtk_fixed_put (GTK_FIXED (fixed1), entry2_to, 144, 56);
  gtk_widget_set_uposition (entry2_to, 144, 56);
  gtk_widget_set_usize (entry2_to, 80, 24);

  entry3_to = gtk_entry_new_with_max_length (3);
  gtk_widget_ref (entry3_to);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry3_to", entry3_to,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry3_to);
  gtk_fixed_put (GTK_FIXED (fixed1), entry3_to, 144, 88);
  gtk_widget_set_uposition (entry3_to, 144, 88);
  gtk_widget_set_usize (entry3_to, 80, 24);

  entry4_to = gtk_entry_new ();
  gtk_widget_ref (entry4_to);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry4_to", entry4_to,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry4_to);
  gtk_fixed_put (GTK_FIXED (fixed1), entry4_to, 144, 120);
  gtk_widget_set_uposition (entry4_to, 144, 120);
  gtk_widget_set_usize (entry4_to, 80, 24);

  entry5_to = gtk_entry_new ();
  gtk_widget_ref (entry5_to);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry5_to", entry5_to,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry5_to);
  gtk_fixed_put (GTK_FIXED (fixed1), entry5_to, 144, 152);
  gtk_widget_set_uposition (entry5_to, 144, 152);
  gtk_widget_set_usize (entry5_to, 80, 24);

  button1 = gtk_button_new_with_label("Dodaj towar \n usug");
  gtk_widget_ref (button1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button1", button1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button1);
  gtk_fixed_put (GTK_FIXED (fixed1), button1, 24, 329);
  gtk_widget_set_uposition (button1, 24, 414);
  gtk_widget_set_usize (button1, 128, 40);
  gtk_signal_connect(GTK_OBJECT(button1), "clicked", GTK_SIGNAL_FUNC(dodaj_towar), NULL);

  button2 = gtk_button_new_with_label("Wyczysc obszar");
  gtk_widget_ref (button2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button2", button2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button2);
  gtk_fixed_put (GTK_FIXED (fixed1), button2, 168, 304);
  gtk_widget_set_uposition (button2, 168, 414);
  gtk_widget_set_usize (button2, 128, 40);
  gtk_signal_connect(GTK_OBJECT(button2), "clicked", GTK_SIGNAL_FUNC(czysc_towar), NULL);
  
  button3 = gtk_button_new_with_label("Uaktualnij towar \n magazyn");
  gtk_widget_ref (button3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button3", button3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button3);
  gtk_fixed_put (GTK_FIXED (fixed1), button3, 312, 354);
  gtk_widget_set_uposition (button3, 312, 414);
  gtk_widget_set_usize (button3, 120, 40);
  gtk_signal_connect(GTK_OBJECT(button3), "clicked", GTK_SIGNAL_FUNC(uaktualnij_towar), NULL);

  button4 = gtk_button_new_with_label("Usu towar");
  gtk_widget_ref (button4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button4", button4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button4);
  gtk_fixed_put (GTK_FIXED (fixed1), button4, 144, 385);
  gtk_widget_set_uposition (button4, 144, 495);
  gtk_widget_set_usize (button4, 176, 40);
  gtk_signal_connect(GTK_OBJECT(button4), "clicked", GTK_SIGNAL_FUNC(usun_towar), NULL);

  button6 = gtk_button_new_with_label("Usu z magazynu");
  gtk_fixed_put(GTK_FIXED(fixed1), button6, 24, 234);
  gtk_widget_set_usize(button6, 130, 38);
  gtk_widget_show(button6);

  button7 = gtk_button_new_with_label("Dodaj do magazynu");
  gtk_fixed_put(GTK_FIXED(fixed1), button7, 249, 234);
  gtk_widget_set_usize(button7, 179, 38);
  gtk_widget_show(button7);

  label5 = gtk_label_new("Podatek Vat");
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_fixed_put (GTK_FIXED (fixed1), label5, 32, 152);
  gtk_widget_set_uposition (label5, 32, 152);
  gtk_widget_set_usize (label5, 120, 32);

  frame1 = gtk_frame_new("Szukaj towar -> uaktualnij towar -> usu towar");
  gtk_widget_ref (frame1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "frame1", frame1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame1);
  gtk_fixed_put (GTK_FIXED (fixed1), frame1, 24, 310);
  gtk_widget_set_usize (frame1, 408, 92);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 2);

  fixed2 = gtk_fixed_new ();
  gtk_widget_ref (fixed2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "fixed2", fixed2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fixed2);
  gtk_container_add (GTK_CONTAINER (frame1), fixed2);

  label6 = gtk_label_new("ID :");
  gtk_widget_ref (label6);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label6", label6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label6);
  gtk_fixed_put (GTK_FIXED (fixed2), label6, 8, 8);
  gtk_widget_set_uposition (label6, 8, 8);
  gtk_widget_set_usize (label6, 34, 20);

  entry6_to = gtk_entry_new ();
  gtk_widget_ref (entry6_to);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry6_to", entry6_to,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry6_to);
  gtk_fixed_put (GTK_FIXED (fixed2), entry6_to, 40, 8);
  gtk_widget_set_uposition (entry6_to, 40, 8);
  gtk_widget_set_usize (entry6_to, 158, 19);

  label7 = gtk_label_new("Nazwa towaru :");
  gtk_widget_ref (label7);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label7", label7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label7);
  gtk_fixed_put (GTK_FIXED (fixed2), label7, 0, 40);
  gtk_widget_set_uposition (label7, 0, 40);
  gtk_widget_set_usize (label7, 104, 20);

  entry7_to = gtk_entry_new ();
  gtk_widget_ref (entry7_to);
  gtk_object_set_data_full (GTK_OBJECT (window1), "entry7_to", entry7_to,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry7_to);
  gtk_fixed_put (GTK_FIXED (fixed2), entry7_to, 96, 40);
  gtk_widget_set_uposition (entry7_to, 96, 40);
  gtk_widget_set_usize (entry7_to, 160, 24);

  entry8_to = gtk_entry_new();
  gtk_entry_set_text(GTK_ENTRY(entry8_to), "0");
  gtk_fixed_put(GTK_FIXED(fixed1), entry8_to, 144, 184);
  gtk_widget_set_usize (entry8_to, 80, 24);
  gtk_widget_show(entry8_to); 

  entry9_to = gtk_entry_new();
  gtk_entry_set_text(GTK_ENTRY(entry9_to), "0");
  gtk_fixed_put(GTK_FIXED(fixed1), entry9_to, 160, 236);
  gtk_widget_set_usize (entry9_to, 80, 24);
  gtk_widget_show(entry9_to); 


  button5 = gtk_button_new_with_label("Szukaj");
  gtk_widget_ref (button5);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button5", button5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button5);
  gtk_fixed_put (GTK_FIXED (fixed2), button5, 288, 8);
  gtk_widget_set_uposition (button5, 288, 8);
  gtk_widget_set_usize (button5, 104, 48);
  
  gtk_signal_connect(GTK_OBJECT(button5), "clicked", GTK_SIGNAL_FUNC(szukaj_towar), NULL);

  //ustawiamy check

  check1_to = gtk_check_button_new();
	gtk_widget_show(check1_to);

  check2_to = gtk_check_button_new();
	gtk_widget_show(check2_to);

  check3_to = gtk_check_button_new();
	gtk_widget_show(check3_to);

  check4_to = gtk_check_button_new();
	gtk_widget_show(check4_to);

  gtk_fixed_put(GTK_FIXED(fixed2), check1_to, 210, 7);

  gtk_fixed_put(GTK_FIXED(fixed2), check2_to, 263, 42);

  gtk_fixed_put(GTK_FIXED(fixed1), check3_to, 240, 155);

  gtk_fixed_put(GTK_FIXED(fixed1), check4_to, 240, 125);

  gtk_widget_show(check3_to);
  gtk_widget_show(check4_to);

//  gtk_signal_connect(GTK_OBJECT(button7), "clicked", GTK_SIGNAL_FUNC(dodaj_magazyn), GTK_WIDGET(entry9_to));
  gtk_signal_connect(GTK_OBJECT(button7), "clicked", GTK_SIGNAL_FUNC(dodaj_magazyn), GTK_ENTRY(entry9_to));

  gtk_signal_connect(GTK_OBJECT(button6), "clicked", GTK_SIGNAL_FUNC(usun_magazyn), GTK_WIDGET(entry9_to));

//  gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(check1_to), TRUE);
  gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(check1_to), TRUE);
}
